View Issue Details

IDProjectCategoryView StatusLast Update
0002930SOGoWeb Calendarpublic2014-11-26 13:26
Reporterinfrasysteme Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSDebianOS Version7 (Wheezy)
Product Version2.2.8 
Target Version2.2.10Fixed in Version2.2.11 
Summary0002930: Can't invite attendee with "Show time as busy outside working hours" option checked
Description

When a user has checked the option "Show time as busy outside working hours" in his Calendar options preferences, an error occurs when trying to invite him.
The "OK" button of the "Invite Attendees" window simply doesn't work.

Additional Information

The "invite attendees" window tries to retrieve the url "https://<server>/SOGo/so/llemaire2/freebusy.ifb/ajaxRead?sday=20141030&eday=20141130" and get this error :

The proxy server received an invalid response from an upstream server.
The proxy server could not handle the request GET /SOGo/so/llemaire2/freebusy.ifb/ajaxRead.
Reason: Error reading from remote server"

Here are the logs on the server :
glibc detected /usr/sbin/sogod: double free or corruption (out):
0x00007f7eb0d999f0 ***
======= Backtrace: =========
/lib/x86_64-linux-gnu/libc.so.6(+0x76aa6)[0x7f7eab187aa6]
/lib/x86_64-linux-gnu/libc.so.6(cfree+0x6c)[0x7f7eab18c84c]
/usr/lib/GNUstep/SOGo/MainUI.SOGo/./MainUI(+0x93b3)[0x7f7ea34773b3]
/usr/lib/GNUstep/SOGo/MainUI.SOGo/./MainUI(+0x9683)[0x7f7ea3477683]
/usr/lib/libNGObjWeb.so.4.9(+0x1c427c)[0x7f7ead81527c]
/usr/lib/libNGObjWeb.so.4.9(+0x1bf868)[0x7f7ead810868]
/usr/lib/libNGObjWeb.so.4.9(+0x1c1869)[0x7f7ead812869]
/usr/lib/libNGObjWeb.so.4.9(+0x15546d)[0x7f7ead7a646d]
/usr/lib/libNGObjWeb.so.4.9(+0x11ce9c)[0x7f7ead76de9c]
/usr/sbin/sogod(+0x7a86)[0x7f7eaeb07a86]
/usr/lib/libNGObjWeb.so.4.9(+0x1b1805)[0x7f7ead802805]
/usr/lib/libNGObjWeb.so.4.9(+0x1b3248)[0x7f7ead804248]
/usr/lib/libNGObjWeb.so.4.9(+0x1add8a)[0x7f7ead7fed8a]
/usr/lib/libNGObjWeb.so.4.9(+0x1aede6)[0x7f7ead7ffde6]
/usr/lib/libNGObjWeb.so.4.9(+0x1af19a)[0x7f7ead80019a]
/usr/lib/libNGObjWeb.so.4.9(+0x1ae109)[0x7f7ead7ff109]
/usr/lib/libgnustep-base.so.1.22(+0x24022d)[0x7f7eabfaa22d]
/usr/lib/libgnustep-base.so.1.22(+0x33b470)[0x7f7eac0a5470]
/usr/lib/libgnustep-base.so.1.22(+0x287989)[0x7f7eabff1989]
/usr/lib/libgnustep-base.so.1.22(+0x286a30)[0x7f7eabff0a30]
/usr/lib/libNGObjWeb.so.4.9(+0x11c80e)[0x7f7ead76d80e]
/usr/sbin/sogod(+0x71da)[0x7f7eaeb071da]
/usr/lib/libNGObjWeb.so.4.9(+0x15dcd4)[0x7f7ead7aecd4]
/usr/lib/libNGObjWeb.so.4.9(+0x15d0f6)[0x7f7ead7ae0f6]
/usr/lib/libNGObjWeb.so.4.9(+0x15e402)[0x7f7ead7af402]
/usr/lib/libNGObjWeb.so.4.9(WOWatchDogApplicationMain+0x389)[0x7f7ead7af979]
/usr/sbin/sogod(main+0xf9)[0x7f7eaeb06509]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xfd)[0x7f7eab12feed]
/usr/sbin/sogod(+0x6309)[0x7f7eaeb06309]
======= Memory map: ========
7f7e9c000000-7f7e9c021000 rw-p 00000000 00:00 0
7f7e9c021000-7f7ea0000000 ---p 00000000 00:00 0
7f7ea103c000-7f7ea1046000 r-xp 00000000 fd:02 9313366
/usr/lib/GNUstep/SaxDrivers-4.9/versitCardsSaxDriver.sax/versitCardsSaxDriver
7f7ea1046000-7f7ea1246000 ---p 0000a000 fd:02 9313366
/usr/lib/GNUstep/SaxDrivers-4.9/versitCardsSaxDriver.sax/versitCardsSaxDriver
7f7ea1246000-7f7ea1249000 rw-p 0000a000 fd:02 9313366
/usr/lib/GNUstep/SaxDrivers-4.9/versitCardsSaxDriver.sax/versitCardsSaxDriver
7f7ea1249000-7f7ea124a000 rw-p 00000000 00:00 0
7f7ea124a000-7f7ea124c000 r-xp 00000000 fd:02 9442364
/usr/lib/GNUstep/WOxElemBuilders-4.9/SOGoElements.wox/SOGoElements
7f7ea124c000-7f7ea144c000 ---p 00002000 fd:02 9442364
/usr/lib/GNUstep/WOxElemBuilders-4.9/SOGoElements.wox/SOGoElements
7f7ea144c000-7f7ea144d000 rw-p 00002000 fd:02 9442364
/usr/lib/GNUstep/WOxElemBuilders-4.9/SOGoElements.wox/SOGoElements
7f7ea144d000-7f7ea1479000 r-xp 00000000 fd:02 9178770
/usr/lib/libWOExtensions.so.4.9.31
7f7ea1479000-7f7ea1678000 ---p 0002c000 fd:02 9178770
/usr/lib/libWOExtensions.so.4.9.31
7f7ea1678000-7f7ea168b000 rw-p 0002b000 fd:02 9178770
/usr/lib/libWOExtensions.so.4.9.31
7f7ea168b000-7f7ea168c000 r-xp 00000000 fd:02 9307008
/usr/lib/GNUstep/WOxElemBuilders-4.9/WOExtensions.wox/WOExtensions
7f7ea168c000-7f7ea188b000 ---p 00001000 fd:02 9307008
/usr/lib/GNUstep/WOxElemBuilders-4.9/WOExtensions.wox/WOExtensions
7f7ea188b000-7f7ea188c000 rw-p 00000000 fd:02 9307008
/usr/lib/GNUstep/WOxElemBuilders-4.9/WOExtensions.wox/WOExtensions
7f7ea188c000-7f7ea188d000 r-xp 00000000 fd:02 9308950
/usr/lib/GNUstep/WOxElemBuilders-4.9/WEExtensions.wox/WEExtensions
7f7ea188d000-7f7ea1a8c000 ---p 00001000 fd:02 9308950
/usr/lib/GNUstep/WOxElemBuilders-4.9/WEExtensions.wox/WEExtensions
7f7ea1a8c000-7f7ea1a8d000 rw-p 00000000 fd:02 9308950
/usr/lib/GNUstep/WOxElemBuilders-4.9/WEExtensions.wox/WEExtensions
7f7ea1a8d000-7f7ea1aa6000 r-xp 00000000 fd:02 9308732
/usr/lib/GNUstep/SaxDrivers-4.9/libxmlSAXDriver.sax/libxmlSAXDriver
7f7ea1aa6000-7f7ea1ca6000 ---p 00019000 fd:02 9308732
/usr/lib/GNUstep/SaxDrivers-4.9/libxmlSAXDriver.sax/libxmlSAXDriver
7f7ea1ca6000-7f7ea1cae000 rw-p 00019000 fd:02 9308732
/usr/lib/GNUstep/SaxDrivers-4.9/libxmlSAXDriver.sax/libxmlSAXDriver
7f7ea1cae000-7f7ea1cb3000 r-xp 00000000 fd:02 9178719
/lib/x86_64-linux-gnu/libnss_dns-2.13.so
7f7ea1cb3000-7f7ea1eb2000 ---p 00005000 fd:02 9178719
/lib/x86_64-linux-gnu/libnss_dns-2.13.so
7f7ea1eb2000-7f7ea1eb3000 r--p 00004000 fd:02 9178719
/lib/x86_64-linux-gnu/libnss_dns-2.13.so
7f7ea1eb3000-7f7ea1eb4000 rw-p 00005000 fd:02 9178719
/lib/x86_64-linux-gnu/libnss_dns-2.13.so
7f7ea1eb4000-7f7ea1ede000 r-xp 00000000 fd:02 9177661
/usr/lib/libpq.so.5.4
7f7ea1ede000-7f7ea20dd000 ---p 0002a000 fd:02 9177661
/usr/lib/libpq.so.5.4
7f7ea5a45000-7f7ea5a46000 r--p 00009000 fd:02 9178722
/lib/x86_64-linux-gnu/libnss_nis-2.13.so
7f7ea5a46000-7f7ea5a47000 rw-p 0000a000 fd:02 9178722
/lib/x86_64-linux-gnu/libnss_nis-2.13.so
7f7ea5a47000-7f7ea5a5c000 r-xp 00000000 fd:02 9178717
/lib/x86_64-linux-gnu/libnsl-2.13.so
7f7ea5a5c000-7f7ea5c5b000 ---p 00015000 fd:02 9178717
/lib/x86_64-linux-gnu/libnsl-2.13.so
7f7ea5c5b000-7f7ea5c5c000 r--p 00014000 fd:02 9178717
/lib/x86_64-linux-gnu/libnsl-2.13.so
7f7ea5c5c000-7f7ea5c5d000 rw-p 00015000 fd:02 9178717
/lib/x86_64-linux-gnu/libnsl-2.13.so
7f7ea5c5d000-7f7ea5c5f000 rw-p 00000000 00:00 0
7f7ea5c5f000-7f7ea5c66000 r-xp 00000000 fd:02 9178718
/lib/x86_64-linux-gnu/libnss_compat-2.13.so
7f7ea5c66000-7f7ea5e65000 ---p 00007000 fd:02 9178718
/lib/x86_64-linux-gnu/libnss_compat-2.13.so
7f7ea5e65000-7f7ea5e66000 r--p 00006000 fd:02 9178718
/lib/x86_64-linux-gnu/libnss_compat-2.13.so
7f7ea5e66000-7f7ea5e67000 rw-p 00007000 fd:02 9178718
/lib/x86_64-linux-gnu/libnss_compat-2.13.so
7f7ea5e67000-7f7ea5e69000 r-xp 00000000 fd:02 9191370
/usr/lib/x86_64-linux-gnu/gconv/UTF-32.so
7f7ea5e69000-7f7ea6068000 ---p 00002000 fd:02 9191370
/usr/lib/x86_64-linux-gnu/gconv/UTF-32.so
7f7ea6068000-7f7ea6069000 r--p 00001000 fd:02 9191370
/usr/lib/x86_64-linux-gnu/gconv/UTF-32.so
7f7ea6069000-7f7ea606a000 rw-p 00002000 fd:02 9191370
/usr/lib/x86_64-linux-gnu/gconv/UTF-32.so
7f7ea606a000-7f7ea606d000 r-xp 00000000 fd:02 9191369
/usr/lib/x86_64-linux-gnu/gconv/UTF-16.so
7f7ea606d000-7f7ea626c000 ---p 00003000 fd:02 9191369
/usr/lib/x86_64-linux-gnu/gconv/UTF-16.so
7f7ea626c000-7f7ea626d000 r--p 00002000 fd:02 9191369
/usr/lib/x86_64-linux-gnu/gconv/UTF-16.so
7f7ea626d000-7f7ea626e000 rw-p 00003000 fd:02 9191369
/usr/lib/x86_64-linux-gnu/gconv/UTF-16.so
7f7ea626e000-7f7ea6275000 r--s 00000000 fd:02 9182678
/usr/lib/x86_64-linux-gnu/gconv/gconv-modules.cache
7f7ea6275000-7f7ea63ec000 r--p 00000000 fd:02 9178732
/usr/lib/locale/locale-archive
7f7ea63ec000-7f7ea640d000 rw-p 00000000 00:00 0
7f7ea640d000-7f7ea757c000 r-xp 00000000 fd:02 9185574
/usr/lib/x86_64-linux-gnu/libicudata.so.48.1.1
7f7ea757c000-7f7ea757d000 r--p 0116e000 fd:02 9185574
/usr/lib/x86_64-linux-gnu/libicudata.so.48.1.1
7f7ea757d000-7f7ea757e000 rw-p 0116f000 fd:02 9185574
/usr/lib/x86_64-linux-gnu/libicudata.so.48.1.1
7f7ea757e000-7f7ea75a0000 r-xp 00000000 fd:02 9184066
/lib/x86_64-linux-gnu/liblzma.so.5.0.0
7f7ea75a0000-7f7ea779f000 ---p 00022000 fd:02 9184066
/lib/x86_64-linux-gnu/liblzma.so.5.0.0
7f7ea779f000-7f7ea77a0000 r--p 00021000 fd:02 9184066
/lib/x86_64-linux-gnu/liblzma.so.5.0.0
7f7ea77a0000-7f7ea77a1000 rw-p 00022000 fd:02 9184066
/lib/x86_64-linux-gnu/liblzma.so.5.0.0
7f7ea77a1000-7f7ea77a4000 r-xp 00000000 fd:02 9184706
/lib/x86_64-linux-gnu/libgpg-error.so.0.8.0
7f7ea77a4000-7f7ea79a3000 ---p 00003000 fd:02 9184706
/lib/x86_64-linux-gnu/libgpg-error.so.0.8.0
7f7ea79a3000-7f7ea79a4000 rw-p 00002000 fd:02 9184706
/lib/x86_64-linux-gnu/libgpg-error.so.0.8.0
7f7ea79a4000-7f7ea79b5000 r-xp 00000000 fd:02 9184425
/usr/lib/x86_64-linux-gnu/libp11-kit.so.0.0.0
7f7ea79b5000-7f7ea7bb4000 ---p 00011000 fd:02 9184425
/usr/lib/x86_64-linux-gnu/libp11-kit.so.0.0.0
7f7ea7bb4000-7f7ea7bb5000 r--p 00010000 fd:02 9184425
/usr/lib/x86_64-linux-gnu/libp11-kit.so.0.0.0
7f7ea7bb5000-7f7ea7bb6000 rw-p 00011000 fd:02 9184425
/usr/lib/x86_64-linux-gnu/libp11-kit.so.0.0.0
7f7ea7bb6000-7f7ea7bc6000 r-xp 00000000 fd:02 9184711
/usr/lib/x86_64-linux-gnu/libtasn1.so.3.1.16
7f7ea7bc6000-7f7ea7dc5000 ---p 00010000 fd:02 9184711
/usr/lib/x86_64-linux-gnu/libtasn1.so.3.1.16
7f7ea7dc5000-7f7ea7dc6000 r--p 0000f000 fd:02 9184711
/usr/lib/x86_64-linux-gnu/libtasn1.so.3.1.16
7f7ea7dc6000-7f7ea7dc7000 rw-p 00010000 fd:02 9184711
/usr/lib/x86_64-linux-gnu/libtasn1.so.3.1.16
7f7ea7dc7000-7f7ea7e0b000 r-xp 00000000 fd:02
9177369
(deleted)/lib/x86_64-linux-gnu/libdbus-1.so.3.7.2
7f7ea7e0b000-7f7ea800b000 ---p 00044000 fd:02
9177369
(deleted)/lib/x86_64-linux-gnu/libdbus-1.so.3.7.2
7f7ea800b000-7f7ea800c000 r--p 00044000 fd:02
9177369
(deleted)/lib/x86_64-linux-gnu/libdbus-1.so.3.7.2
7f7ea800c000-7f7ea800d000 rw-p 00045000 fd:02
9177369
(deleted)/lib/x86_64-linux-gnu/libdbus-1.so.3.7.2
7f7ea800d000-7f7ea8027000 r-xp 00000000 fd:02 9184403
/usr/lib/x86_64-linux-gnu/libsasl2.so.2.0.25
7f7ea8027000-7f7ea8226000 ---p 0001a000 fd:02 9184403
/usr/lib/x86_64-linux-gnu/libsasl2.so.2.0.25
7f7ea8226000-7f7ea8227000 r--p 00019000 fd:02 9184403
/usr/lib/x86_64-linux-gnu/libsasl2.so.2.0.25
7f7ea8227000-7f7ea8228000 rw-p 0001a000 fd:02 9184403
/usr/lib/x86_64-linux-gnu/libsasl2.so.2.0.25
7f7ea8228000-7f7ea823b000 r-xp 00000000 fd:02 9178726
/lib/x86_64-linux-gnu/libresolv-2.13.so
7f7ea823b000-7f7ea843a000 ---p 00013000 fd:02 9178726
/lib/x86_64-linux-gnu/libresolv-2.13.so
7f7ea843a000-7f7ea843b000 r--p 00012000 fd:02 9178726
/lib/x86_64-linux-gnu/libresolv-2.13.so
7f7ea843b000-7f7ea843c000 rw-p 00013000 fd:02 9178726
/lib/x86_64-linux-gnu/libresolv-2.13.so
7f7ea843c000-7f7ea843e000 rw-p 00000000 00:00 0
7f7ea843e000-7f7ea8526000 r-xp 00000000 fd:02 9184176
/usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.17
7f7ea8526000-7f7ea8726000 ---p 000e8000 fd:02 9184176
/usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.17
7f7ea8726000-7f7ea872e000 r--p 000e8000 fd:02 9184176
/usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.17
7f7ea872e000-7f7ea8730000 rw-p 000f0000 fd:02 9184176
/usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.17
7f7ea8730000-7f7ea8745000 rw-p 00000000 00:00 0
7f7ea8745000-7f7ea874c000 r-xp 00000000 fd:02 9178727
/lib/x86_64-linux-gnu/librt-2.13.so
7f7ea874c000-7f7ea894b000 ---p 00007000 fd:02 9178727
/lib/x86_64-linux-gnu/librt-2.13.so
7f7ea894b000-7f7ea894c000 r--p 00006000 fd:02 9178727
/lib/x86_64-linux-gnu/librt-2.13.so
7f7ea894c000-7f7ea894d000 rw-p 00007000 fd:02 9178727
/lib/x86_64-linux-gnu/librt-2.13.so
7f7ea894d000-7f7ea8aa7000 r-xp 00000000 fd:02 9185573
/usr/lib/x86_64-linux-gnu/libicuuc.so.48.1.1
7f7ea8aa7000-7f7ea8aa8000 ---p 0015a000 fd:02 9185573
/usr/lib/x86_64-linux-gnu/libicuuc.so.48.1.1
7f7ea8aa8000-7f7ea8ab9000 r--p 0015a000 fd:02 9185573
/usr/lib/x86_64-linux-gnu/libicuuc.so.48.1.1
7f7ea8ab9000-7f7ea8aba000 rw-p 0016b000 fd:02 9185573
/usr/lib/x86_64-linux-gnu/libicuuc.so.48.1.1
7f7ea8aba000-7f7ea8abe000 rw-p 00000000 00:00 0
7f7ea8abe000-7f7ea8ac0000 r-xp 00000000 fd:02 9178714
/lib/x86_64-linux-gnu/libdl-2.13.so
7f7ea8ac0000-7f7ea8cc0000 ---p 00002000 fd:02 9178714
/lib/x86_64-linux-gnu/libdl-2.13.so
7f7ea8cc0000-7f7ea8cc1000 r--p 00002000 fd:02 9178714
/lib/x86_64-linux-gnu/libdl-2.13.so
7f7ea8cc1000-7f7ea8cc2000 rw-p 00003000 fd:02 9178714
/lib/x86_64-linux-gnu/libdl-2.13.so
7f7ea8cc2000-7f7ea8cce000 r-xp 00000000 fd:02 9195881
/usr/lib/x86_64-linux-gnu/libffi.so.5.0.10
7f7ea8cce000-7f7ea8ece000 ---p 0000c000 fd:02 9195881
/usr/lib/x86_64-linux-gnu/libffi.so.5.0.10
7f7ea8ece000-7f7ea8ecf000 rw-p 0000c000 fd:02 9195881
/usr/lib/x86_64-linux-gnu/libffi.so.5.0.10
7f7ea8ecf000-7f7ea9024000 r-xp 00000000 fd:02 9176265
/usr/lib/x86_64-linux-gnu/libxml2.so.2.8.0
7f7ea9024000-7f7ea9224000 ---p 00155000 fd:02 9176265
/usr/lib/x86_64-linux-gnu/libxml2.so.2.8.0
7f7ea9224000-7f7ea922c000 r--p 00155000 fd:02 9176265
/usr/lib/x86_64-linux-gnu/libxml2.so.2.8.0
7f7ea922c000-7f7ea922e000 rw-p 0015d000 fd:02 9176265
/usr/lib/x86_64-linux-gnu/libxml2.so.2.8.0
7f7ea922e000-7f7ea922f000 rw-p 00000000 00:00 0
7f7ea922f000-7f7ea926b000 r-xp 00000000 fd:02 9195915
/usr/lib/x86_64-linux-gnu/libxslt.so.1.1.26
7f7ea926b000-7f7ea946a000 ---p 0003c000 fd:02 9195915
/usr/lib/x86_64-linux-gnu/libxslt.so.1.1.26
7f7ea946a000-7f7ea946c000 r--p 0003b000 fd:02 9195915
/usr/lib/x86_64-linux-gnu/libxslt.so.1.1.26
7f7ea946c000-7f7ea946d000 rw-p 0003d000 fd:02 9195915
/usr/lib/x86_64-linux-gnu/libxslt.so.1.1.26
7f7ea946d000-7f7ea94e7000 r-xp 00000000 fd:02 9177956
/lib/x86_64-linux-gnu/libgcrypt.so.11.7.0
7f7ea94e7000-7f7ea96e7000 ---p 0007a000 fd:02 9177956
/lib/x86_64-linux-gnu/libgcrypt.so.11.7.0
7f7ea96e7000-7f7ea96e8000 r--p 0007a000 fd:02 9177956
/lib/x86_64-linux-gnu/libgcrypt.so.11.7.0
7f7ea96e8000-7f7ea96eb000 rw-p 0007b000 fd:02 9177956
/lib/x86_64-linux-gnu/libgcrypt.so.11.7.0
7f7ea96eb000-7f7ea97a4000 r-xp 00000000 fd:02 9177127
/usr/lib/x86_64-linux-gnu/libgnutls.so.26.22.4
7f7ea97a4000-7f7ea99a3000 ---p 000b9000 fd:02 9177127
/usr/lib/x86_64-linux-gnu/libgnutls.so.26.22.4
7f7ea99a3000-7f7ea99a9000 r--p 000b8000 fd:02 9177127
/usr/lib/x86_64-linux-gnu/libgnutls.so.26.22.4
7f7ea99a9000-7f7ea99ab000 rw-p 000be000 fd:02 9177127
/usr/lib/x86_64-linux-gnu/libgnutls.so.26.22.4
7f7ea99ab000-7f7ea99bb000 r-xp 00000000 fd:02 9195870
/usr/lib/x86_64-linux-gnu/libavahi-client.so.3.2.9
7f7ea99bb000-7f7ea9bba000 ---p 00010000 fd:02 9195870
/usr/lib/x86_64-linux-gnu/libavahi-client.so.3.2.9
7f7ea9bba000-7f7ea9bbb000 r--p 0000f000 fd:02 9195870
/usr/lib/x86_64-linux-gnu/libavahi-client.so.3.2.9
7f7ea9bbb000-7f7ea9bbc000 rw-p 00010000 fd:02 9195870
/usr/lib/x86_64-linux-gnu/libavahi-client.so.3.2.9
7f7ea9bbc000-7f7ea9bc8000 r-xp 00000000 fd:02 9186209
/usr/lib/x86_64-linux-gnu/libavahi-common.so.3.5.3
7f7ea9bc8000-7f7ea9dc7000 ---p 0000c000 fd:02 9186209
/usr/lib/x86_64-linux-gnu/libavahi-common.so.3.5.3
7f7ea9dc7000-7f7ea9dc8000 r--p 0000b000 fd:02 9186209
/usr/lib/x86_64-linux-gnu/libavahi-common.so.3.5.3
7f7ea9dc8000-7f7ea9dc9000 rw-p 0000c000 fd:02 9186209
/usr/lib/x86_64-linux-gnu/libavahi-common.so.3.5.3
7f7ea9dc9000-7f7ea9e1f000 r-xp 00000000 fd:02 9182317
/usr/lib/x86_64-linux-gnu/libssl.so.1.0.0
7f7ea9e1f000-7f7eaa01f000 ---p 00056000 fd:02 9182317
/usr/lib/x86_64-linux-gnu/libssl.so.1.0.0
7f7eaa01f000-7f7eaa022000 r--p 00056000 fd:02 9182317
/usr/lib/x86_64-linux-gnu/libssl.so.1.0.0
7f7eaa022000-7f7eaa029000 rw-p 00059000 fd:02 9182317
/usr/lib/x86_64-linux-gnu/libssl.so.1.0.0
7f7eaa029000-7f7eaa03f000 r-xp 00000000 fd:02 9185238
/lib/x86_64-linux-gnu/libz.so.1.2.7
7f7eaa03f000-7f7eaa23e000 ---p 00016000 fd:02 9185238
/lib/x86_64-linux-gnu/libz.so.1.2.7
7f7eaa23e000-7f7eaa23f000 r--p 00015000 fd:02 9185238
/lib/x86_64-linux-gnu/libz.so.1.2.7
7f7eaa23f000-7f7eaa240000 rw-p 00016000 fd:02 9185238
/lib/x86_64-linux-gnu/libz.so.1.2.7
7f7eaa240000-7f7eaa24e000 r-xp 00000000 fd:02 9185882
/usr/lib/x86_64-linux-gnu/liblber-2.4.so.2.8.3
7f7eaa24e000-7f7eaa44d000 ---p 0000e000 fd:02 9185882
/usr/lib/x86_64-linux-gnu/liblber-2.4.so.2.8.3
7f7eaa44d000-7f7eaa44e000 r--p 0000d000 fd:02 9185882
/usr/lib/x86_64-linux-gnu/liblber-2.4.so.2.8.3
7f7eaa44e000-7f7eaa44f000 rw-p 0000e000 fd:02 9185882
/usr/lib/x86_64-linux-gnu/liblber-2.4.so.2.8.3
7f7eaa44f000-7f7eaa49b000 r-xp 00000000 fd:02 9185912
/usr/lib/x86_64-linux-gnu/libldap_r-2.4.so.2.8.3
7f7eaa49b000-7f7eaa69b000 ---p 0004c000 fd:02 9185912
/usr/lib/x86_64-linux-gnu/libldap_r-2.4.so.2.8.3
7f7eaa69b000-7f7eaa69d000 r--p 0004c000 fd:02 9185912
/usr/lib/x86_64-linux-gnu/libldap_r-2.4.so.2.8.3
7f7eaa69d000-7f7eaa69e000 rw-p 0004e000 fd:02 9185912
/usr/lib/x86_64-linux-gnu/libldap_r-2.4.so.2.8.3
7f7eaa69e000-7f7eaa6a0000 rw-p 00000000 00:00 0
7f7eaa6a0000-7f7eaa6a8000 r-xp 00000000 fd:02 9178713
/lib/x86_64-linux-gnu/libcrypt-2.13.so
7f7eaa6a8000-7f7eaa8a7000 ---p 00008000 fd:02 9178713
/lib/x86_64-linux-gnu/libcrypt-2.13.so
7f7eaa8a7000-7f7eaa8a8000 r--p 00007000 fd:02 9178713
/lib/x86_64-linux-gnu/libcrypt-2.13.so
7f7eaa8a8000-7f7eaa8a9000 rw-p 00008000 fd:02 9178713
/lib/x86_64-linux-gnu/libcrypt-2.13.so
7f7eaa8a9000-7f7eaa8d7000 rw-p 00000000 00:00 0
7f7eaa8d7000-7f7eaaaa1000 r-xp 00000000 fd:02 9177017
/usr/lib/x86_64-linux-gnu/libcrypto.so.1.0.0
7f7eaaaa1000-7f7eaaca1000 ---p 001ca000 fd:02 9177017
/usr/lib/x86_64-linux-gnu/libcrypto.so.1.0.0
7f7eaaca1000-7f7eaacbc000 r--p 001ca000 fd:02 9177017
/usr/lib/x86_64-linux-gnu/libcrypto.so.1.0.0
7f7eaacbc000-7f7eaaccb000 rw-p 001e5000 fd:02 9177017
/usr/lib/x86_64-linux-gnu/libcrypto.so.1.0.0
7f7ead0eb000-7f7ead2ea000 ---p 00024000 fd:02 9179042
/usr/lib/libNGLdap.so.4.9.35
7f7ead2ea000-7f7ead2f7000 rw-p 00023000 fd:02 9179042
/usr/lib/libNGLdap.so.4.9.35
7f7ead2f7000-7f7ead3f4000 r-xp 00000000 fd:02 9176588
/usr/lib/libNGMime.so.4.9.3
7f7ead3f4000-7f7ead5f4000 ---p 000fd000 fd:02 9176588
/usr/lib/libNGMime.so.4.9.3
7f7ead5f4000-7f7ead651000 rw-p 000fd000 fd:02 9176588
/usr/lib/libNGMime.so.4.9.3
7f7ead651000-7f7ead87f000 r-xp 00000000 fd:02 9178773
/usr/lib/libNGObjWeb.so.4.9.37
7f7ead87f000-7f7eada7e000 ---p 0022e000 fd:02 9178773
/usr/lib/libNGObjWeb.so.4.9.37
7f7eada7e000-7f7eadb58000 rw-p 0022d000 fd:02 9178773
/usr/lib/libNGObjWeb.so.4.9.37
7f7eadb58000-7f7eadb59000 rw-p 00000000 00:00 0
7f7eadb59000-7f7eadba6000 r-xp 00000000 fd:02 9179133
/usr/lib/libNGCards.so.4.9.0
7f7eadba6000-7f7eadda5000 ---p 0004d000 fd:02 9179133
/usr/lib/libNGCards.so.4.9.0
7f7eadda5000-7f7eaddc1000 rw-p 0004c000 fd:02 9179133
/usr/lib/libNGCards.so.4.9.0
7f7eaddc1000-7f7eade8c000 r-xp 00000000 fd:02 9178772
/usr/lib/libWEExtensions.so.4.9.94
7f7eade8c000-7f7eae08c000 ---p 000cb000 fd:02 9178772
/usr/lib/libWEExtensions.so.4.9.94
7f7eae08c000-7f7eae0db000 rw-p 000cb000 fd:02 9178772
/usr/lib/libWEExtensions.so.4.9.94
7f7eae0db000-7f7eae15e000 r-xp 00000000 fd:02 9178813
/usr/lib/libGDLAccess.so.4.9.63
7f7eae15e000-7f7eae35e000 ---p 00083000 fd:02 9178813
/usr/lib/libGDLAccess.so.4.9.63
7f7eae35e000-7f7eae38c000 rw-p 00083000 fd:02 9178813
/usr/lib/libGDLAccess.so.4.9.63
7f7eae38c000-7f7eae3b8000 r-xp 00000000 fd:02 9179137
/usr/lib/libGDLContentStore.so.4.9.0
7f7eae3b8000-7f7eae5b8000 ---p 0002c000 fd:02 9179137
/usr/lib/libGDLContentStore.so.4.9.0
7f7eae5b8000-7f7eae5c7000 rw-p 0002c000 fd:02 9179137
/usr/lib/libGDLContentStore.so.4.9.0
7f7eae5c7000-7f7eae697000 r-xp 00000000 fd:02 9309161
/usr/lib/GNUstep/Frameworks/SOGo.framework/Versions/2/libSOGo.so.2.2.8
7f7eae697000-7f7eae897000 ---p 000d0000 fd:02 9309161
/usr/lib/GNUstep/Frameworks/SOGo.framework/Versions/2/libSOGo.so.2.2.8
7f7eae897000-7f7eae8de000 rw-p 000d0000 fd:02 9309161
/usr/lib/GNUstep/Frameworks/SOGo.framework/Versions/2/libSOGo.so.2.2.8
7f7eae8de000-7f7eae8fe000 r-xp 00000000 fd:02 9178707
/lib/x86_64-linux-gnu/ld-2.13.so
7f7eae90f000-7f7eae91b000 rw-p 00000000 00:00 0
7f7eae91b000-7f7eaeada000 r-xp 00000000 fd:02 9185247
/usr/lib/x86_64-linux-gnu/libicui18n.so.48.1.1
7f7eaeada000-7f7eaeadb000 ---p 001bf000 fd:02 9185247
/usr/lib/x86_64-linux-gnu/libicui18n.so.48.1.1
7f7eaeadb000-7f7eaeae8000 r--p 001bf000 fd:02 9185247
/usr/lib/x86_64-linux-gnu/libicui18n.so.48.1.1
7f7eaeae8000-7f7eaeae9000 rw-p 001cc000 fd:02 9185247
/usr/lib/x86_64-linux-gnu/libicui18n.so.48.1.1
7f7eaeae9000-7f7eaeaf1000 rw-p 00000000 00:00 0
7f7eaeaf4000-7f7eaeafd000 rw-p 00000000 00:00 0
7f7eaeafd000-7f7eaeafe000 r--p 0001f000 fd:02 9178707
/lib/x86_64-linux-gnu/ld-2.13.so
7f7eaeafe000-7f7eaeaff000 rw-p 00020000 fd:02 9178707
/lib/x86_64-linux-gnu/ld-2.13.so
7f7eaeaff000-7f7eaeb00000 rw-p 00000000 00:00 0
7f7eaeb00000-7f7eaeb0d000 r-xp 00000000 fd:02 9701776
/usr/sbin/sogod
7f7eaed0c000-7f7eaed11000 rw-p 0000c000 fd:02 9701776
/usr/sbin/sogod
7f7eb0767000-7f7eb099d000 rw-p 00000000 00:00 0
7f7eb099d000-7f7eb0bdf000 rw-p 00000000 00:00 0
7f7eb0bdf000-7f7eb0f5e000 rw-p 00000000 00:00 0
7ffffa4d9000-7ffffa4f5000 rw-p 00000000 00:00 0
[stack]
7ffffa522000-7ffffa524000 r-xp 00000000 00:00 0
[vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0
[vsyscall]
Sep 22 13:51:51 sogod [30922]: <0x0x7f7eb0a729b0[WOWatchDogChild]> child
1870 exited
Sep 22 13:51:51 sogod [30922]: <0x0x7f7eb0a729b0[WOWatchDogChild]>
(terminated due to signal 6)
Sep 22 13:51:51 sogod [30922]: <0x0x7f7eb0a729b0[WOWatchDogChild]>
avoiding to respawn child before 2014-09-22 13:51:53 +0200
Sep 22 13:51:53 sogod [30922]: <0x0x7f7eb0bca740[WOWatchDog]> child
spawned with pid 1876
Sep 22 13:51:54 sogod [1875]: <0x0x7f7eb0cd1090[SOGoCache]> Cache
cleanup interval set every 300.000000 seconds
7f7eae3b8000-7f7eae5b8000 ---p 0002c000 fd:02 9179137
/usr/lib/libGDLContentStore.so.4.9.0
7f7eae5b8000-7f7eae5c7000 rw-p 0002c000 fd:02 9179137
/usr/lib/libGDLContentStore.so.4.9.0
7f7eae5c7000-7f7eae697000 r-xp 00000000 fd:02 9309161
/usr/lib/GNUstep/Frameworks/SOGo.framework/Versions/2/libSOGo.so.2.2.8
7f7eae697000-7f7eae897000 ---p 000d0000 fd:02 9309161
/usr/lib/GNUstep/Frameworks/SOGo.framework/Versions/2/libSOGo.so.2.2.8
7f7eae897000-7f7eae8de000 rw-p 000d0000 fd:02 9309161
/usr/lib/GNUstep/Frameworks/SOGo.framework/Versions/2/libSOGo.so.2.2.8
7f7eae8de000-7f7eae8fe000 r-xp 00000000 fd:02 9178707
/lib/x86_64-linux-gnu/ld-2.13.so
7f7eae90f000-7f7eae91b000 rw-p 00000000 00:00 0
7f7eae91b000-7f7eaeada000 r-xp 00000000 fd:02 9185247
/usr/lib/x86_64-linux-gnu/libicui18n.so.48.1.1
7f7eaeada000-7f7eaeadb000 ---p 001bf000 fd:02 9185247
/usr/lib/x86_64-linux-gnu/libicui18n.so.48.1.1
7f7eaeadb000-7f7eaeae8000 r--p 001bf000 fd:02 9185247
/usr/lib/x86_64-linux-gnu/libicui18n.so.48.1.1
7f7eaeae8000-7f7eaeae9000 rw-p 001cc000 fd:02 9185247
/usr/lib/x86_64-linux-gnu/libicui18n.so.48.1.1
7f7eaeae9000-7f7eaeaf1000 rw-p 00000000 00:00 0
7f7eaeaf4000-7f7eaeafd000 rw-p 00000000 00:00 0
7f7eaeafd000-7f7eaeafe000 r--p 0001f000 fd:02 9178707
/lib/x86_64-linux-gnu/ld-2.13.so
7f7eaeafe000-7f7eaeaff000 rw-p 00020000 fd:02 9178707
/lib/x86_64-linux-gnu/ld-2.13.so
7f7eaeaff000-7f7eaeb00000 rw-p 00000000 00:00 0
7f7eaeb00000-7f7eaeb0d000 r-xp 00000000 fd:02 9701776
/usr/sbin/sogod
7f7eaed0c000-7f7eaed11000 rw-p 0000c000 fd:02 9701776
/usr/sbin/sogod
7f7eb0767000-7f7eb099d000 rw-p 00000000 00:00 0
7f7eb099d000-7f7eb0bdf000 rw-p 00000000 00:00 0
7f7eb0bdf000-7f7eb0f5e000 rw-p 00000000 00:00 0
7ffffa4d9000-7ffffa4f5000 rw-p 00000000 00:00 0
[stack]
7ffffa522000-7ffffa524000 r-xp 00000000 00:00 0
[vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0
[vsyscall]

TagsNo tags attached.

Relationships

has duplicate 0002970 resolvedludovic Not possible to add some attendees to events in the webinterface 

Activities

ludovic

ludovic

2014-09-22 10:58

administrator   ~0007529

I can't reproduce this on both v2.2.8 nor the current master.

Install the debugging symbols and produce a stack trace.

http://www.sogo.nu/fr/nc/support/faq/article/how-do-i-debug-sogo.html

infrasysteme

infrasysteme

2014-09-30 03:16

reporter  

log_sogo (7,041 bytes)   
127.0.0.1 - - [29/Sep/2014:15:11:43 GMT] "POST /SOGo/connect HTTP/1.1" 200 27/52 0.013 - - 0
127.0.0.1 - - [29/Sep/2014:15:11:43 GMT] "GET /SOGo/eleroi-sogo HTTP/1.1" 302 0/0 0.002 - - 0
127.0.0.1 - - [29/Sep/2014:15:11:43 GMT] "GET /SOGo/eleroi-sogo/view HTTP/1.1" 302 0/0 0.002 - - 0
127.0.0.1 - - [29/Sep/2014:15:11:43 GMT] "GET /SOGo/so/eleroi-sogo/Mail HTTP/1.1" 302 0/0 0.002 - - 0
127.0.0.1 - - [29/Sep/2014:15:11:43 GMT] "GET /SOGo/so/eleroi-sogo/Mail/view HTTP/1.1" 200 11942/0 0.379 47212 74% 0
127.0.0.1 - - [29/Sep/2014:15:11:44 GMT] "POST /SOGo/so/eleroi-sogo/Calendar/alarmslist?browserTime=1411996304 HTTP/1.1" 200 2/0 0.142 - - 0
127.0.0.1 - - [29/Sep/2014:15:11:44 GMT] "POST /SOGo/so/eleroi-sogo/Mail/0/mailboxes HTTP/1.1" 200 270/0 0.285 - - 0
127.0.0.1 - - [29/Sep/2014:15:11:45 GMT] "POST /SOGo/so/eleroi-sogo/Mail/0/folderINBOX/uids HTTP/1.1" 200 1223/0 0.354 8405 85% 0
127.0.0.1 - - [29/Sep/2014:15:11:52 GMT] "POST /SOGo/so/eleroi-sogo/freebusy.ifb/ajaxRead?sday=20140923&eday=20141007 HTTP/1.1" 200 52/0 0.199 2879 98% 0
127.0.0.1 - - [29/Sep/2014:15:11:57 GMT] "POST /SOGo/so/eleroi-sogo/Contacts/allContactSearch?excludeGroups=1&search=ydelattre2 HTTP/1.1" 200 237/0 0.229 - - 0
*** glibc detected *** /usr/sbin/sogod: double free or corruption (out): 0x00007ffff8f94360 ***
======= Backtrace: =========
/lib/x86_64-linux-gnu/libc.so.6(+0x76aa6)[0x7ffff4679aa6]
/lib/x86_64-linux-gnu/libc.so.6(cfree+0x6c)[0x7ffff467e84c]
/usr/lib/GNUstep/SOGo/MainUI.SOGo/./MainUI(+0x93b3)[0x7fffec7363b3]
/usr/lib/GNUstep/SOGo/MainUI.SOGo/./MainUI(+0x9683)[0x7fffec736683]
/usr/lib/libNGObjWeb.so.4.9(+0x1c427c)[0x7ffff6d0727c]
/usr/lib/libNGObjWeb.so.4.9(+0x1bf868)[0x7ffff6d02868]
/usr/lib/libNGObjWeb.so.4.9(+0x1c1869)[0x7ffff6d04869]
/usr/lib/libNGObjWeb.so.4.9(+0x15546d)[0x7ffff6c9846d]
/usr/lib/libNGObjWeb.so.4.9(+0x11ce9c)[0x7ffff6c5fe9c]
/usr/sbin/sogod(+0x7a86)[0x7ffff7ff9a86]
/usr/lib/libNGObjWeb.so.4.9(+0x1b1805)[0x7ffff6cf4805]
/usr/lib/libNGObjWeb.so.4.9(+0x1b3248)[0x7ffff6cf6248]
/usr/lib/libNGObjWeb.so.4.9(+0x1add8a)[0x7ffff6cf0d8a]
/usr/lib/libNGObjWeb.so.4.9(+0x1aede6)[0x7ffff6cf1de6]
/usr/lib/libNGObjWeb.so.4.9(+0x1af19a)[0x7ffff6cf219a]
/usr/lib/libNGObjWeb.so.4.9(+0x1af23d)[0x7ffff6cf223d]
/usr/lib/libgnustep-base.so.1.22(+0x24022d)[0x7ffff549c22d]
/usr/lib/libgnustep-base.so.1.22(+0x33b470)[0x7ffff5597470]
/usr/lib/libgnustep-base.so.1.22(+0x287989)[0x7ffff54e3989]
/usr/lib/libgnustep-base.so.1.22(+0x286a30)[0x7ffff54e2a30]
/usr/lib/libNGObjWeb.so.4.9(+0x11c80e)[0x7ffff6c5f80e]
/usr/sbin/sogod(+0x71da)[0x7ffff7ff91da]
/usr/lib/libNGObjWeb.so.4.9(WOApplicationMain+0xa4)[0x7ffff6c85644]
/usr/lib/libNGObjWeb.so.4.9(WOWatchDogApplicationMain+0x499)[0x7ffff6ca1a89]
/usr/sbin/sogod(main+0xf9)[0x7ffff7ff8509]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xfd)[0x7ffff4621eed]
/usr/sbin/sogod(+0x6309)[0x7ffff7ff8309]
======= Memory map: ========
7fffe4000000-7fffe4021000 rw-p 00000000 00:00 0 
7fffe4021000-7fffe8000000 ---p 00000000 00:00 0 
7fffea469000-7fffea473000 r-xp 00000000 fd:02 9313402                    /usr/lib/GNUstep/SaxDrivers-4.9/versitCardsSaxDriver.sax/versitCardsSaxDriver
7fffea473000-7fffea673000 ---p 0000a000 fd:02 9313402                    /usr/lib/GNUstep/SaxDrivers-4.9/versitCardsSaxDriver.sax/versitCardsSaxDriver
7fffea673000-7fffea676000 rw-p 0000a000 fd:02 9313402                    /usr/lib/GNUstep/SaxDrivers-4.9/versitCardsSaxDriver.sax/versitCardsSaxDriver
7fffea676000-7fffea677000 rw-p 00000000 00:00 0 
7fffea677000-7fffea679000 r-xp 00000000 fd:02 9442162                    /usr/lib/GNUstep/WOxElemBuilders-4.9/SOGoElements.wox/SOGoElements
7fffea679000-7fffea879000 ---p 00002000 fd:02 9442162                    /usr/lib/GNUstep/WOxElemBuilders-4.9/SOGoElements.wox/SOGoElements
7fffea879000-7fffea87a000 rw-p 00002000 fd:02 9442162                    /usr/lib/GNUstep/WOxElemBuilders-4.9/SOGoElements.wox/SOGoElements
7fffea87a000-7fffea8a6000 r-xp 00000000 fd:02 9178821                    /usr/lib/libWOExtensions.so.4.9.31
7fffea8a6000-7fffeaaa5000 ---p 0002c000 fd:02 9178821                    /usr/lib/libWOExtensions.so.4.9.31
7fffeaaa5000-7fffeaab8000 rw-p 0002b000 fd:02 9178821                    /usr/lib/libWOExtensions.so.4.9.31
7fffeaab8000-7fffeaab9000 r-xp 00000000 fd:02 9307901                    /usr/lib/GNUstep/WOxElemBuilders-4.9/WOExtensions.wox/WOExtensions
7fffeaab9000-7fffeacb8000 ---p 00001000 fd:02 9307901                    /usr/lib/GNUstep/WOxElemBuilders-4.9/WOExtensions.wox/WOExtensions
7fffeacb8000-7fffeacb9000 rw-p 00000000 fd:02 9307901                    /usr/lib/GNUstep/WOxElemBuilders-4.9/WOExtensions.wox/WOExtensions
7fffeacb9000-7fffeacba000 r-xp 00000000 fd:02 9309336                    /usr/lib/GNUstep/WOxElemBuilders-4.9/WEExtensions.wox/WEExtensions
7fffeacba000-7fffeaeb9000 ---p 00001000 fd:02 9309336                    /usr/lib/GNUstep/WOxElemBuilders-4.9/WEExtensions.wox/WEExtensions
7fffeaeb9000-7fffeaeba000 rw-p 00000000 fd:02 9309336                    /usr/lib/GNUstep/WOxElemBuilders-4.9/WEExtensions.wox/WEExtensions
7fffeaeba000-7fffeaed3000 r-xp 00000000 fd:02 9309310                    /usr/lib/GNUstep/SaxDrivers-4.9/libxmlSAXDriver.sax/libxmlSAXDriver
7fffeaed3000-7fffeb0d3000 ---p 00019000 fd:02 9309310                    /usr/lib/GNUstep/SaxDrivers-4.9/libxmlSAXDriver.sax/libxmlSAXDriver
7fffeb0d3000-7fffeb0db000 rw-p 00019000 fd:02 9309310                    /usr/lib/GNUstep/SaxDrivers-4.9/libxmlSAXDriver.sax/libxmlSAXDriver
7fffeb0db000-7fffeb19d000 rw-p 00000000 00:00 0 
7fffeb19d000-7fffeb1a2000 r-xp 00000000 fd:02 9178719                    /lib/x86_64-linux-gnu/libnss_dns-2.13.so
7fffeb1a2000-7fffeb3a1000 ---p 00005000 fd:02 9178719                    /lib/x86_64-linux-gnu/libnss_dns-2.13.so
7fffeb3a1000-7fffeb3a2000 r--p 00004000 fd:02 9178719                    /lib/x86_64-linux-gnu/libnss_dns-2.13.so
7fffeb3a2000-7fffeb3a3000 rw-p 00005000 fd:02 9178719                    /lib/x86_64-linux-gnu/libnss_dns-2.13.so
7fffeb3a3000-7fffeb3cd000 r-xp 00000000 fd:02 9177661                    /usr/lib/libpq.so.5.4
7fffeb3cd000-7fffeb5cc000 ---p 0002a000 fd:02 9177661                    /usr/lib/libpq.so.5.4
7fffeb5cc000-7fffeb5ce000 r--p 00029000 fd:02 9177661                    /usr/lib/libpq.so.5.4
7fffeb5ce000-7fffeb5d0000 rw-p 0002b000 fd:02 9177661                    /usr/lib/libpq.so.5.4
7fffeb5d0000-7fffeb5ea000 r-xp 00000000 fd:02 9442143                    /usr/lib/GNUstep/GDLAdaptors-4.9/PostgreSQL.gdladaptor/PostgreSQL
7fffeb5ea000-7fffeb7ea000 ---p 0001a000 fd:02 9442143                    /usr/lib/GNUstep/GDLAdaptors-4.9/PostgreSQL.gdladaptor/PostgreSQL
7fffeb7ea000-7fffeb7f4000 rw-p 0001a000 fd:02 9442143                    /usr/lib/GNUstep/GDLAdaptors-4.9/PostgreSQL.gdladaptor/PostgreSQL
7fffeb7f4000-7fffeb853000 r-xp 00000000 fd:02 9182553                    /usr/lib/GNUstep/SOGo/SchedulerUI.SOGo/SchedulerUI
Program received signal SIGABRT, Aborted.
0x00007ffff46351a5 in raise () from /lib/x86_64-linux-gnu/libc.so.6
log_sogo (7,041 bytes)   
infrasysteme

infrasysteme

2014-09-30 03:16

reporter   ~0007572

Here is the stack trace.

infrasysteme

infrasysteme

2014-09-30 03:27

reporter   ~0007573

We have made further tests.
The problem appears when the attendee has checked the "Show time as busy outside working hours" option AND when he has at least one recurrent event.

ludovic

ludovic

2014-09-30 08:35

administrator   ~0007575

Last edited: 2014-09-30 08:36

You haven't posted the stack trace as requested in the debugging guide. Even with your additional information, I can't reproduce the bug.

ludovic

ludovic

2014-10-01 14:09

administrator   ~0007583

https://github.com/inverse-inc/sogo/commit/25b7fffb009333e07de5f0327288086de08cd942

infrasysteme

infrasysteme

2014-11-24 08:16

reporter   ~0007728

we just finish to upgrade our SOGo in 2.2.10, unfortunately we still have the same problem. Can you help us ?

Thanks !

ludovic

ludovic

2014-11-26 13:26

administrator   ~0007743

https://github.com/inverse-inc/sogo/commit/5a5464dc610cddb87b9c07e97699c24a767f5ed7

Issue History

Date Modified Username Field Change
2014-09-22 10:16 infrasysteme New Issue
2014-09-22 10:58 ludovic Note Added: 0007529
2014-09-30 03:16 infrasysteme File Added: log_sogo
2014-09-30 03:16 infrasysteme Note Added: 0007572
2014-09-30 03:27 infrasysteme Note Added: 0007573
2014-09-30 08:35 ludovic Note Added: 0007575
2014-09-30 08:36 ludovic Note Edited: 0007575
2014-10-01 14:07 ludovic Target Version => 2.2.10
2014-10-01 14:09 ludovic Note Added: 0007583
2014-10-01 14:09 ludovic Status new => resolved
2014-10-01 14:09 ludovic Fixed in Version => 2.2.10
2014-10-01 14:09 ludovic Resolution open => fixed
2014-10-01 14:09 ludovic Assigned To => ludovic
2014-10-27 11:58 ludovic Relationship added has duplicate 0002970
2014-11-24 08:16 infrasysteme Note Added: 0007728
2014-11-24 08:16 infrasysteme Status resolved => feedback
2014-11-24 08:16 infrasysteme Resolution fixed => reopened
2014-11-26 13:26 ludovic Note Added: 0007743
2014-11-26 13:26 ludovic Status feedback => resolved
2014-11-26 13:26 ludovic Fixed in Version 2.2.10 => 2.2.11
2014-11-26 13:26 ludovic Resolution reopened => fixed